Page MenuHomePhabricator

[TUX] [Language Selector] Depends on ULS extension
Closed, DeclinedPublic

Description

Language selector does not work in the above URL.


Version: master
Severity: normal
URL: http://www.mediawiki.org/wiki/Special:Translate?action=translate&group=page-Help%3AExtension%3ATranslate&tux=1

Details

Reference
bz42942

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 1:03 AM
bzimport set Reference to bz42942.

Translate with the new translation editor will require the MediaWiki UniversalLanguageSelector extension.

(In reply to comment #1)

Translate with the new translation editor will require the MediaWiki
UniversalLanguageSelector extension.

Why is this? Modularized code should be modular. Why the hard dependency?

It's not the first nor the last extension requiring another extension to work but I agree it's ugly and it regularly confuses sysadmins (even someusing [[mw:MLEB]], sadly).